Pigeon
Dashboard
Dashboard
  1. RequestItems
  • Introduction
  • Authentication
  • Guides
    • Using Third-Party Cloud Storage
  • Requests
    • Requests
    • Create Request
      POST
    • List Requests
      GET
    • Get Request
      GET
    • List Organization Requests
      GET
    • Update Request
      PATCH
    • Delete Request
      DELETE
    • Close Request
      POST
  • RequestItems
    • Request Items
    • Create Request Item
      POST
    • List Request Items
      GET
    • Get Request Item
      GET
    • Update Request Item
      PATCH
    • Delete Request Item
      DELETE
    • Verify Request Item
      POST
  • Documents
    • Documents
    • Get Document
      GET
    • Delete Document
      DELETE
    • List Request Documents
      GET
    • Delete Request Documents
      DELETE
    • List Request Item Documents
      GET
    • Download Document
      GET
    • Download Request Documents
      GET
    • Download Request Item Documents
      GET
  • Templates
    • Templates
    • List Templates
    • Create Template
    • Get Template
    • Update Template
    • Delete Template
    • List Organization Templates
  • Webhooks
    • Webhooks
    • Create Webhook Subscription
    • List Webhook Subscriptions
    • Get Webhook Subscription
    • Update Webhook Subscription
    • Delete Webhook Subscription
    • Get Webhook Signing Secret
  • Users
    • Get Current User
    • List Users
    • List Organization users
    • Get User
  • Contacts
    • List Contacts
    • Create or Update Contact
    • List Organization Contacts
  • Teams
    • List Teams
    • Get Team
  • ScheduledReminders
    • Create Scheduled Reminder
    • List Scheduled Reminders
    • Get Scheduled Reminder
    • Update Scheduled Reminder
    • Delete Scheduled Reminder
  • Escalations
    • Create Escalations
    • List Escalations
    • Get Escalation
    • Update Escalation
    • Delete Escalation
  • Attachments
    • List Attachments
    • Create Attachment
    • Get Attachment
  • Schemas
    • Schemas
      • CreateAuthMethod
      • CreateQuestionItem
      • RequestState
      • ResourceNotFoundModel
      • SessionPayload
      • StorageProviders
      • TEMPLATENotFoundModel
      • TEMPLATENotFoundModel
      • ORGANIZATIONNotFoundModel
      • ORGANIZATIONNotFoundModel
    • AuthMethod
    • Body_handler_attachments_post
    • ButtonStyle
    • ButtonStylePublic
    • CollaboratorPublic
    • ConnectionProvider
    • CreateDocGen
    • CreateEscalation
    • CreateQuestionObject
    • CreateRecipientPostParams
    • CreateRequestItem
    • CreateRequestPostParams
    • CreateRequestRecipient
    • CreateScheduledNotificationRecipient
    • CreateScheduledReminder
    • CreateTemplatePostParams
    • CreateWebhookWithoutOrg
    • CustomerDocumentPublic
    • DocumentNotFound
    • DocumentPublic
    • DocumentType
    • DocumentWithItemPublic
    • HeroStylePublic
    • FilenameFormat
    • HTTPValidationError
    • HeroStyle
    • ItemType
    • Language
    • OrganizationNotFound
    • QuestionType
    • RecipientPublic
    • RequestAttachmentPublic
    • RequestItemNotFound
    • RequestItemPublic
    • ScheduledReminderNotFound
    • RequestNotFound
    • ScheduledReminderPublic
    • RequestPublic
    • RequestRecipientPublic
    • RequestStatus
    • ScheduledNotificationNotFound
    • ScheduledNotificationPublic
    • SendMethod
    • SessionPayloadPublic
    • SortOrder
    • TeamNotFound
    • TeamPublic
    • TemplateNotFound
    • TemplatePublic
    • UpdateEscalation
    • UpdateRequestItem
    • UpdateRequestPostParams
    • UpdateScheduledNotificationRecipient
    • UpdateScheduledReminder
    • UpdateTemplate
    • UpdateWebhook
    • UserNotFound
    • UserPublic
    • UserRole
    • ValidationError
    • WebhookNotFound
    • WebhookPublic
    • WebhookPublicWithSecret
    • WebhookTopic
  1. RequestItems

Create Request Item

POST
/requests/{request_id}/items
Create new request item associated with specified request.

Request

Path Params

Body Params application/jsonRequired

Example
{
    "name": "string",
    "type": "UPLOAD",
    "description": "string",
    "required": true,
    "received": false,
    "question": {
        "type": "TEXT",
        "answer": "string"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/requests//items' \
--header 'Content-Type: application/json' \
--data '{
    "name": "string",
    "type": "UPLOAD",
    "description": "string",
    "required": true,
    "received": false,
    "question": {
        "type": "TEXT",
        "answer": "string"
    }
}'

Responses

🟢200OK
application/json
Successful Response
Bodyapplication/json

Example
{
    "name": "string",
    "id": "string",
    "type": "UPLOAD",
    "description": "string",
    "required": true,
    "answer": "string",
    "verified": false,
    "is_na": false
}
🟠404Not Found
🟠422Unprocessable Entity
Previous
Request Items
Next
List Request Items